Subject: Re: [bug-diffutils] bug#17102: diff --help and multiple files

From: Paul Eggert <[email-masked]>
Date: Wed, 26 Mar 2014 11:14:58 -0700

Tim Waugh wrote:
> I'm not sure how to trigger the "FILE..." behaviour.

Thanks, that's a typo in the --help output.  It's been there since 
commit 9a57dd54d693952dc3f63ed8baaf99f2fb695132 dated 1998, and you're 
the first to report it!  I installed the attached patch.

It would be nice to extend 'diff' in the ways that you're probably 
thinking of, and that's been proposed, but it hasn't been implemented as 
far as I know.  Should be done for 'cmp' too.
From d839be08d520a7686d3e0bf60fd303cf49efdce6 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Wed, 26 Mar 2014 11:12:12 -0700
Subject: [PATCH] diff: fix two "..." typos in --help output

* src/diff.c (option_help_msgid): Remove two "..." typos (Bug#17102).
---
 src/diff.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/diff.c b/src/diff.c
index c6ba5f6..397815e 100644
--- a/src/diff.c
+++ b/src/diff.c
@@ -939,7 +939,7 @@ static char const * const option_help_msgid[] = {
   N_("    --help               display this help and exit"),
   N_("-v, --version            output version information and exit"),
   "",
-  N_("FILES are 'FILE1 FILE2' or 'DIR1 DIR2' or 'DIR FILE...' or 'FILE... DIR'."),
+  N_("FILES are 'FILE1 FILE2' or 'DIR1 DIR2' or 'DIR FILE' or 'FILE DIR'."),
   N_("If --from-file or --to-file is given, there are no restrictions on FILE(s)."),
   N_("If a FILE is '-', read standard input."),
   N_("Exit status is 0 if inputs are the same, 1 if different, 2 if trouble."),
-- 
1.8.5.3